Ask Your Question
0

Unable to use my pre-existing database. Error message relating to Java Runtime Environment.

asked 2016-06-09 10:26:50 +0200

Brin gravatar image

I've reloaded LibreOffice onto my computer and my database application is now not working.

When I attempt to open a form or a query, etc. I get the following error message: "LibreOffice requires a Java runtime environment (JRE) to perform this task. The selected JRE is defective. Please select another version or install a new JRE and select it under Tools - Options - LibreOffice - Advanced".

I have loaded the latest version of Java and following this error message I've removed Java and reloaded it, but I still get the same problem. Can anybody help?

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
0

answered 2016-06-09 10:56:33 +0200

pierre-yves samyn gravatar image

updated 2016-06-09 10:59:30 +0200

Hi

Install a jre java is not enough it must be activated in LibreOffice with the menu: ToolsOptionsLibreOfficeAdvanced▸tick Use a Java environment AND Click on the radio button in front of the line corresponding to your jre.

It is possible to have several installed jre but you have to activate it appropriate for the version of LibreOffice: 32bit or 64bit.

On Windows, the 32bit jre is installed in the Program Files (x86) directory and the 64-bit version is in Program Files.

The radio button must be enabled even if there is only one installed jre.

In the screenshot below I activated the 32-bit jre:

screenshot

Regards

edit flag offensive delete link more

Comments

Thank you for this. I've now installed an earlier version of Java and I'm back up and running. Thank you very much for your help ...

Brin gravatar imageBrin ( 2016-06-09 11:36:30 +0200 )edit

Yep. Java worked for weeks, showing up in Tools - Options - Advanced as it should. A few days ago Java no longer showed up, and the checkbox "Use a Java runtime environment" will not stay checked. I check the box, find Java via the "Add" in c:/program files/java/jre1.8.0_191/bin, and check the radio button. If I immediately return to Tools - Options - Advanced, the box is unchecked, and the list below is blank, even if I wait. Repeatable. Win 10 x64, Java 1.8.0_191-b12 64-bit, LO 6.0.7.3 64-bit.

PhLo gravatar imagePhLo ( 2018-11-18 11:39:28 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2016-06-09 10:26:50 +0200

Seen: 155 times

Last updated: Jun 09 '16